-- Delete blank building units
-- Author: Machiavelli
-- DateCreated: 8/18/2014 3:37:17 PM
--------------------------------------------------------------
-- Purpose:
-- Mod makers:
-- Include this file in your mod if you are using the
-- building created event.  Don't uncomment the last line.  Let your
-- users uncomment that line if they need it.
--
-- Mod users:
-- By default this code is disabled.  It provides a redundant way
-- to delete the blank building units.  These units should automatically
-- be deleted but if they are not than users can enable this code to
-- ensure they are deleted.
--
-- How to enable:
-- Uncomment the last line of this file, the one that is:
-- "--GameEvents.PlayerDoTurn.Add(DeleteBlankBuildingUnits);"
-- To uncomment the line delete the two dashes "-- ..." at the start
-- of the line.  The end result should look like:
-- "GameEvents.PlayerDoTurn.Add(DeleteBlankBuildingUnits);"
--------------------------------------------------------------
function DeleteBlankBuildingUnits(playerID)
	local player = Players[playerID];
	local unitType;
	local subString;

	for unit in player:Units() do
		unitType = GameInfo.Units[unit:GetUnitType()].Type;
		subString = string.sub(unitType, 6, 22); -- UNIT_ | BCE_BUILDINGCLASS | _MONUMENT

		if(subString == "BCE_BUILDINGCLASS") then
			unit:Kill();
		end
	end
end
--GameEvents.PlayerDoTurn.Add(DeleteBlankBuildingUnits);