-- Message on building created
-- Author: Machiavelli
-- DateCreated: 5/28/2014 9:33:26 PM
--------------------------------------------------------------
-- Prints a message to fire turner when a unit is created
function MessageOnBuildingCreated(playerID, cityID, buildingClassID)
	local player = Players[playerID];
	local city = player:GetCityByID(cityID);

	print(city:GetName() .. " has created a " .. tostring(GameInfo.BuildingClasses[buildingClassID].Type));
end
LuaEvents.BuildingCreatedEvent.Add(MessageOnBuildingCreated);